Bug 13370 - Inputs overflow in filters
Summary: Inputs overflow in filters
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12376
Blocks: 13371
  Show dependency treegraph
 
Reported: 2014-12-02 10:36 UTC by Jonathan Druart
Modified: 2016-06-21 21:37 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13370: Inputs overflow in filter (1.01 KB, patch)
2014-12-02 10:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13370: Inputs overflow in filter (1007 bytes, patch)
2014-12-02 14:38 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13370: Inputs overflow in filter (1.09 KB, patch)
2014-12-02 14:42 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 13370: Inputs overflow in filter (1.12 KB, patch)
2014-12-05 15:00 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-12-02 10:36:27 UTC

    
Comment 1 Jonathan Druart 2014-12-02 10:38:40 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2014-12-02 14:02:22 UTC
This doesn't apply, but I'm not sure why. The patch refers to this supposedly existing line:

 span.filter_column > input.date_range_filter {

..which in master is 

 span.filter_column > input.text_filter {

I can't tell if this is intended to be dependent on another patch or if the difference is unintentional.
Comment 3 Jonathan Druart 2014-12-02 14:37:59 UTC
Looks good here...

Bug 13370 - Inputs overflow in filters

34056 - Bug 13370: Inputs overflow in filter

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 13370: Inputs overflow in filter
Using index info to reconstruct a base tree...
M       koha-tmpl/intranet-tmpl/prog/en/css/datatables.css
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/css/datatables.css
Comment 4 Jonathan Druart 2014-12-02 14:38:12 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2014-12-02 14:39:37 UTC
Ok, should be better now.
Comment 6 Owen Leonard 2014-12-02 14:42:23 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2014-12-05 15:00:41 UTC
Created attachment 34145 [details] [review]
[PASSED QA] Bug 13370: Inputs overflow in filter

Bug 12376 adds some padding to inputs.
This cause an overflow on the record detail page.

Test plan:
1/ Go on a record detail page with items
2/ Enable filters
Without the patch, the inputs overflow, with the patch it should be
corrected (as before bug 12376).

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 8 Tomás Cohen Arazi 2014-12-22 20:01:32 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 9 Chris Cormack 2014-12-25 19:24:53 UTC
Pushed to 3.18.x will be in 3.18.3